Subject: Re: bug#13965: info.info conflict between emacs and texinfo

From: Gavin Smith <[email-masked]>
Date: Sun, 18 Oct 2015 20:41:29 +0100

On 18 October 2015 at 19:05, Glenn Morris <[email-masked]> wrote:
> Gavin Smith wrote:
>
>>> I'm sure there are many systems where Texinfo is installed and Emacs is not.
>>> How are people on those systems supposed to learn how to use the
>>> stand-alone info reader?
>>
>> It has its own manual. It doesn't have a tutorial, though. This would
>> have to be added. It shouldn't be hard to cover the absolute minimum
>> needed to be able to navigate through the rest of the manual.
>
> info.info is obviously written to benefit users of both Emacs info and
> stand-alone info. It seems weird to me to delete it from Texinfo just
> for the sake of a distribution packing issue that
>
> i) doesn't occur on Debian-based systems
> (http://debbugs.gnu.org/14064#30)
>
> ii) was solved two-years ago on RedHat-based systems in the rpm
> https://bugzilla.redhat.com/show_bug.cgi?id=927996#c11
>
> If I were packaging Emacs for a distribution (let me randomly say SUSE),
> I'd resolve this issue in the packaging step. But I'm just repeating
> myself (http://debbugs.gnu.org/14064#33). Obviously it's your decision.

Not everyone installs programs via middlemen distributors all the
time. They may download and install a release tarball directly.
Evidently it's a problem for some people, sometimes. For example, you
might install a Texinfo release with an older version of info.info
included and overwrite an up-to-date version that came with the
version of Emacs you're using.